Bug 195276 - PVs don't show up until a VG is created
PVs don't show up until a VG is created
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: lvm2 (Show other bugs)
4.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Alasdair Kergon
: Regression
: 197277 201709 (view as bug list)
Depends On:
Blocks: 180185 181411
  Show dependency treegraph
 
Reported: 2006-06-14 13:20 EDT by Corey Marthaler
Modified: 2007-11-30 17:07 EST (History)
4 users (show)

See Also:
Fixed In Version: RHBA-2006-0504
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-10 17:48:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Marthaler 2006-06-14 13:20:19 EDT
Description of problem:
I just started seeing this on the taft-cluster.

[root@taft-04 lvm]# pvcreate /dev/sdb1
  Physical volume "/dev/sdb1" successfully created
[root@taft-04 lvm]# pvscan
  No matching physical volumes found
[root@taft-04 lvm]# pvs
[root@taft-04 lvm]# vgcreate foo /dev/sdb1
  Volume group "foo" successfully created
[root@taft-04 lvm]# pvscan
  PV /dev/sdb1   VG foo   lvm2 [136.23 GB / 136.23 GB free]
  Total: 1 [136.23 GB] / in use: 1 [136.23 GB] / in no VG: 0 [0   ]
[root@taft-04 lvm]# pvs
  PV         VG   Fmt  Attr PSize   PFree
  /dev/sdb1  foo  lvm2 a-   136.23G 136.23G
[root@taft-04 lvm]# vgremove foo
  Volume group "foo" successfully removed
[root@taft-04 lvm]# pvscan
  No matching physical volumes found
[root@taft-04 lvm]# pvs


Version-Release number of selected component (if applicable):
[root@taft-04 lvm]# uname -ar
Linux taft-04 2.6.9-39.ELsmp #1 SMP Thu Jun 1 18:01:55 EDT 2006 x86_64 x86_64
x86_64 GNU/Linux
[root@taft-04 lvm]# rpm -q lvm2
lvm2-2.02.06-3.0.RHEL4
[root@taft-04 lvm]# rpm -q device-mapper
device-mapper-1.02.07-2.0.RHEL4


How reproducible:
everytime (on these nodes)
Comment 1 Corey Marthaler 2006-06-14 14:29:02 EDT
[root@taft-04 lvm]# pvscan -vvvv
#lvmcmdline.c:850         Processing: pvscan -vvvv
#lvmcmdline.c:853         O_DIRECT will be used
#config/config.c:778       Setting global/locking_type to 1
#config/config.c:763       Setting global/locking_dir to /var/lock/lvm
#locking/locking.c:139       File-based locking enabled.
#filters/filter-persistent.c:55     Wiping cache of LVM-capable devices
#device/dev-cache.c:399         /dev/arpd: Not a block device
#device/dev-cache.c:225         /dev/cdrom: Added to device cache
#device/dev-cache.c:222         /dev/cdwriter: Aliased to /dev/cdrom in device cache
#device/dev-cache.c:399         /dev/console: Not a block device
#device/dev-cache.c:399         /dev/core: Not a block device
#device/dev-cache.c:399         /dev/cpu/0/cpuid: Not a block device
#device/dev-cache.c:399         /dev/cpu/1/cpuid: Not a block device
#device/dev-cache.c:399         /dev/cpu/2/cpuid: Not a block device
#device/dev-cache.c:399         /dev/cpu/3/cpuid: Not a block device
#device/dev-cache.c:399         /dev/cpu0: Not a block device
#device/dev-cache.c:399         /dev/cpu1: Not a block device
#device/dev-cache.c:399         /dev/cpu2: Not a block device
#device/dev-cache.c:399         /dev/cpu3: Not a block device
#device/dev-cache.c:399         /dev/device-mapper: Not a block device
#device/dev-cache.c:222         /dev/disk/by-path/pci-0000:00:1f.1-ide-0:0:
Aliased to /dev/cdrom in device cache
#device/dev-cache.c:225         /dev/disk/by-path/pci-0000:02:0e.0-scsi-0:2:0:0:
Added to device cache
#device/dev-cache.c:225        
/dev/disk/by-path/pci-0000:02:0e.0-scsi-0:2:0:0-part1: Added to device cache
#device/dev-cache.c:225        
/dev/disk/by-path/pci-0000:02:0e.0-scsi-0:2:0:0-part2: Added to device cache
#device/dev-cache.c:225        
/dev/disk/by-path/pci-0000:0a:02.0-fc-0x210000d023a81664:0x0000000000000000:
Added to device cache
#device/dev-cache.c:208        
/dev/disk/by-path/pci-0000:0a:02.0-fc-0x210000d023a81664:0x0000000000000000-part1:
Already in device cache
#device/dev-cache.c:208        
/dev/disk/by-path/pci-0000:0a:02.0-fc-0x210000d023a81664:0x0000000000000000-part2:
Already in device cache
#device/dev-cache.c:225        
/dev/disk/by-path/pci-0000:0a:02.0-fc-0x210000d023a81664:0x0001000000000000:
Added to device cache
#device/dev-cache.c:208        
/dev/disk/by-path/pci-0000:0a:02.0-fc-0x210000d023a81664:0x0001000000000000-part1:
Already in device cache
#device/dev-cache.c:208        
/dev/disk/by-path/pci-0000:0a:02.0-fc-0x210000d023a81664:0x0001000000000000-part2:
Already in device cache
#device/dev-cache.c:399         /dev/dlm-control: Not a block device
#device/dev-cache.c:208         /dev/dm-0: Already in device cache
#device/dev-cache.c:208         /dev/dm-1: Already in device cache
#device/dev-cache.c:399         /dev/dnrtmsg: Not a block device
#device/dev-cache.c:222         /dev/dvd: Aliased to /dev/cdrom in device cache
#device/dev-cache.c:390         /dev/fd: Symbolic link to directory
#device/dev-cache.c:399         /dev/full: Not a block device
#device/dev-cache.c:399         /dev/fwmonitor: Not a block device
#device/dev-cache.c:399         /dev/gpmctl: Not a block device
#device/dev-cache.c:222         /dev/hda: Aliased to /dev/cdrom in device cache
#device/dev-cache.c:399         /dev/hw_random: Not a block device
#device/dev-cache.c:399         /dev/initctl: Not a block device
#device/dev-cache.c:399         /dev/input/mice: Not a block device
#device/dev-cache.c:399         /dev/ip6_fw: Not a block device
#device/dev-cache.c:399         /dev/kmsg: Not a block device
#device/dev-cache.c:399         /dev/log: Not a block device
#device/dev-cache.c:225         /dev/loop0: Added to device cache
#device/dev-cache.c:225         /dev/loop1: Added to device cache
#device/dev-cache.c:225         /dev/loop2: Added to device cache
#device/dev-cache.c:225         /dev/loop3: Added to device cache
#device/dev-cache.c:225         /dev/loop4: Added to device cache
#device/dev-cache.c:225         /dev/loop5: Added to device cache
#device/dev-cache.c:225         /dev/loop6: Added to device cache
#device/dev-cache.c:225         /dev/loop7: Added to device cache
#device/dev-cache.c:399         /dev/lp0: Not a block device
#device/dev-cache.c:399         /dev/lp1: Not a block device
#device/dev-cache.c:399         /dev/lp2: Not a block device
#device/dev-cache.c:399         /dev/lp3: Not a block device
#device/dev-cache.c:399         /dev/MAKEDEV: Not a block device
#device/dev-cache.c:399         /dev/mapper/control: Not a block device
#device/dev-cache.c:208         /dev/mapper/VolGroup00-LogVol00: Already in
device cache
#device/dev-cache.c:208         /dev/mapper/VolGroup00-LogVol01: Already in
device cache
#device/dev-cache.c:399         /dev/mcelog: Not a block device
#device/dev-cache.c:225         /dev/md0: Added to device cache
#device/dev-cache.c:225         /dev/md1: Added to device cache
#device/dev-cache.c:225         /dev/md10: Added to device cache
#device/dev-cache.c:225         /dev/md11: Added to device cache
#device/dev-cache.c:225         /dev/md12: Added to device cache
#device/dev-cache.c:225         /dev/md13: Added to device cache
#device/dev-cache.c:225         /dev/md14: Added to device cache
#device/dev-cache.c:225         /dev/md15: Added to device cache
#device/dev-cache.c:225         /dev/md16: Added to device cache
#device/dev-cache.c:225         /dev/md17: Added to device cache
#device/dev-cache.c:225         /dev/md18: Added to device cache
#device/dev-cache.c:225         /dev/md19: Added to device cache
#device/dev-cache.c:225         /dev/md2: Added to device cache
#device/dev-cache.c:225         /dev/md20: Added to device cache
#device/dev-cache.c:225         /dev/md21: Added to device cache
#device/dev-cache.c:225         /dev/md22: Added to device cache
#device/dev-cache.c:225         /dev/md23: Added to device cache
#device/dev-cache.c:225         /dev/md24: Added to device cache
#device/dev-cache.c:225         /dev/md25: Added to device cache
#device/dev-cache.c:225         /dev/md26: Added to device cache
#device/dev-cache.c:225         /dev/md27: Added to device cache
#device/dev-cache.c:225         /dev/md28: Added to device cache
#device/dev-cache.c:225         /dev/md29: Added to device cache
#device/dev-cache.c:225         /dev/md3: Added to device cache
#device/dev-cache.c:225         /dev/md30: Added to device cache
#device/dev-cache.c:225         /dev/md31: Added to device cache
#device/dev-cache.c:225         /dev/md4: Added to device cache
#device/dev-cache.c:225         /dev/md5: Added to device cache
#device/dev-cache.c:225         /dev/md6: Added to device cache
#device/dev-cache.c:225         /dev/md7: Added to device cache
#device/dev-cache.c:225         /dev/md8: Added to device cache
#device/dev-cache.c:225         /dev/md9: Added to device cache
#device/dev-cache.c:399         /dev/mem: Not a block device
#device/dev-cache.c:399         /dev/mice: Not a block device
#device/dev-cache.c:399         /dev/misc/dlm-control: Not a block device
#device/dev-cache.c:399         /dev/net/tun: Not a block device
#device/dev-cache.c:399         /dev/nflog: Not a block device
#device/dev-cache.c:399         /dev/null: Not a block device
#device/dev-cache.c:399         /dev/parport0: Not a block device
#device/dev-cache.c:399         /dev/parport1: Not a block device
#device/dev-cache.c:399         /dev/parport2: Not a block device
#device/dev-cache.c:399         /dev/parport3: Not a block device
#device/dev-cache.c:399         /dev/port: Not a block device
#device/dev-cache.c:399         /dev/ppp: Not a block device
#device/dev-cache.c:399         /dev/ptmx: Not a block device
#device/dev-cache.c:399         /dev/pts/0: Not a block device
#device/dev-cache.c:208         /dev/ram: Already in device cache
#device/dev-cache.c:208         /dev/ram0: Already in device cache
#device/dev-cache.c:208         /dev/ram1: Already in device cache
#device/dev-cache.c:208         /dev/ram10: Already in device cache
#device/dev-cache.c:208         /dev/ram11: Already in device cache
#device/dev-cache.c:208         /dev/ram12: Already in device cache
#device/dev-cache.c:208         /dev/ram13: Already in device cache
#device/dev-cache.c:208         /dev/ram14: Already in device cache
#device/dev-cache.c:208         /dev/ram15: Already in device cache
#device/dev-cache.c:208         /dev/ram2: Already in device cache
#device/dev-cache.c:208         /dev/ram3: Already in device cache
#device/dev-cache.c:208         /dev/ram4: Already in device cache
#device/dev-cache.c:208         /dev/ram5: Already in device cache
#device/dev-cache.c:208         /dev/ram6: Already in device cache
#device/dev-cache.c:208         /dev/ram7: Already in device cache
#device/dev-cache.c:208         /dev/ram8: Already in device cache
#device/dev-cache.c:208         /dev/ram9: Already in device cache
#device/dev-cache.c:208         /dev/ramdisk: Already in device cache
#device/dev-cache.c:399         /dev/random: Not a block device
#device/dev-cache.c:399         /dev/rawctl: Not a block device
#device/dev-cache.c:208         /dev/root: Already in device cache
#device/dev-cache.c:399         /dev/route: Not a block device
#device/dev-cache.c:399         /dev/route6: Not a block device
#device/dev-cache.c:399         /dev/rtc: Not a block device
#device/dev-cache.c:222         /dev/sda: Aliased to
/dev/disk/by-path/pci-0000:02:0e.0-scsi-0:2:0:0 in device cache (preferred name)
#device/dev-cache.c:222         /dev/sda1: Aliased to
/dev/disk/by-path/pci-0000:02:0e.0-scsi-0:2:0:0-part1 in device cache (preferred
name)
#device/dev-cache.c:222         /dev/sda2: Aliased to
/dev/disk/by-path/pci-0000:02:0e.0-scsi-0:2:0:0-part2 in device cache (preferred
name)
#device/dev-cache.c:222         /dev/sdb: Aliased to
/dev/disk/by-path/pci-0000:0a:02.0-fc-0x210000d023a81664:0x0000000000000000 in
device cache (preferred name)
#device/dev-cache.c:208         /dev/sdb1: Already in device cache
#device/dev-cache.c:208         /dev/sdb2: Already in device cache
#device/dev-cache.c:222         /dev/sdc: Aliased to
/dev/disk/by-path/pci-0000:0a:02.0-fc-0x210000d023a81664:0x0001000000000000 in
device cache (preferred name)
#device/dev-cache.c:208         /dev/sdc1: Already in device cache
#device/dev-cache.c:208         /dev/sdc2: Already in device cache
#device/dev-cache.c:399         /dev/sg0: Not a block device
#device/dev-cache.c:399         /dev/sg1: Not a block device
#device/dev-cache.c:399         /dev/sg2: Not a block device
#device/dev-cache.c:399         /dev/sg3: Not a block device
#device/dev-cache.c:399         /dev/skip: Not a block device
#device/dev-cache.c:399         /dev/stderr: Not a block device
#device/dev-cache.c:399         /dev/stdin: Not a block device
#device/dev-cache.c:399         /dev/stdout: Not a block device
#device/dev-cache.c:399         /dev/systty: Not a block device
#device/dev-cache.c:399         /dev/tap0: Not a block device
#device/dev-cache.c:399         /dev/tap1: Not a block device
#device/dev-cache.c:399         /dev/tap10: Not a block device
#device/dev-cache.c:399         /dev/tap11: Not a block device
#device/dev-cache.c:399         /dev/tap12: Not a block device
#device/dev-cache.c:399         /dev/tap13: Not a block device
#device/dev-cache.c:399         /dev/tap14: Not a block device
#device/dev-cache.c:399         /dev/tap15: Not a block device
#device/dev-cache.c:399         /dev/tap2: Not a block device
#device/dev-cache.c:399         /dev/tap3: Not a block device
#device/dev-cache.c:399         /dev/tap4: Not a block device
#device/dev-cache.c:399         /dev/tap5: Not a block device
#device/dev-cache.c:399         /dev/tap6: Not a block device
#device/dev-cache.c:399         /dev/tap7: Not a block device
#device/dev-cache.c:399         /dev/tap8: Not a block device
#device/dev-cache.c:399         /dev/tap9: Not a block device
#device/dev-cache.c:399         /dev/tcpdiag: Not a block device
#device/dev-cache.c:399         /dev/tty: Not a block device
#device/dev-cache.c:399         /dev/tty0: Not a block device
#device/dev-cache.c:399         /dev/tty1: Not a block device
#device/dev-cache.c:399         /dev/tty10: Not a block device
#device/dev-cache.c:399         /dev/tty11: Not a block device
#device/dev-cache.c:399         /dev/tty12: Not a block device
#device/dev-cache.c:399         /dev/tty13: Not a block device
#device/dev-cache.c:399         /dev/tty14: Not a block device
#device/dev-cache.c:399         /dev/tty15: Not a block device
#device/dev-cache.c:399         /dev/tty16: Not a block device
#device/dev-cache.c:399         /dev/tty17: Not a block device
#device/dev-cache.c:399         /dev/tty18: Not a block device
#device/dev-cache.c:399         /dev/tty19: Not a block device
#device/dev-cache.c:399         /dev/tty2: Not a block device
#device/dev-cache.c:399         /dev/tty20: Not a block device
#device/dev-cache.c:399         /dev/tty21: Not a block device
#device/dev-cache.c:399         /dev/tty22: Not a block device
#device/dev-cache.c:399         /dev/tty23: Not a block device
#device/dev-cache.c:399         /dev/tty24: Not a block device
#device/dev-cache.c:399         /dev/tty25: Not a block device
#device/dev-cache.c:399         /dev/tty26: Not a block device
#device/dev-cache.c:399         /dev/tty27: Not a block device
#device/dev-cache.c:399         /dev/tty28: Not a block device
#device/dev-cache.c:399         /dev/tty29: Not a block device
#device/dev-cache.c:399         /dev/tty3: Not a block device
#device/dev-cache.c:399         /dev/tty30: Not a block device
#device/dev-cache.c:399         /dev/tty31: Not a block device
#device/dev-cache.c:399         /dev/tty32: Not a block device
#device/dev-cache.c:399         /dev/tty33: Not a block device
#device/dev-cache.c:399         /dev/tty34: Not a block device
#device/dev-cache.c:399         /dev/tty35: Not a block device
#device/dev-cache.c:399         /dev/tty36: Not a block device
#device/dev-cache.c:399         /dev/tty37: Not a block device
#device/dev-cache.c:399         /dev/tty38: Not a block device
#device/dev-cache.c:399         /dev/tty39: Not a block device
#device/dev-cache.c:399         /dev/tty4: Not a block device
#device/dev-cache.c:399         /dev/tty40: Not a block device
#device/dev-cache.c:399         /dev/tty41: Not a block device
#device/dev-cache.c:399         /dev/tty42: Not a block device
#device/dev-cache.c:399         /dev/tty43: Not a block device
#device/dev-cache.c:399         /dev/tty44: Not a block device
#device/dev-cache.c:399         /dev/tty45: Not a block device
#device/dev-cache.c:399         /dev/tty46: Not a block device
#device/dev-cache.c:399         /dev/tty47: Not a block device
#device/dev-cache.c:399         /dev/tty48: Not a block device
#device/dev-cache.c:399         /dev/tty49: Not a block device
#device/dev-cache.c:399         /dev/tty5: Not a block device
#device/dev-cache.c:399         /dev/tty50: Not a block device
#device/dev-cache.c:399         /dev/tty51: Not a block device
#device/dev-cache.c:399         /dev/tty52: Not a block device
#device/dev-cache.c:399         /dev/tty53: Not a block device
#device/dev-cache.c:399         /dev/tty54: Not a block device
#device/dev-cache.c:399         /dev/tty55: Not a block device
#device/dev-cache.c:399         /dev/tty56: Not a block device
#device/dev-cache.c:399         /dev/tty57: Not a block device
#device/dev-cache.c:399         /dev/tty58: Not a block device
#device/dev-cache.c:399         /dev/tty59: Not a block device
#device/dev-cache.c:399         /dev/tty6: Not a block device
#device/dev-cache.c:399         /dev/tty60: Not a block device
#device/dev-cache.c:399         /dev/tty61: Not a block device
#device/dev-cache.c:399         /dev/tty62: Not a block device
#device/dev-cache.c:399         /dev/tty63: Not a block device
#device/dev-cache.c:399         /dev/tty7: Not a block device
#device/dev-cache.c:399         /dev/tty8: Not a block device
#device/dev-cache.c:399         /dev/tty9: Not a block device
#device/dev-cache.c:399         /dev/ttyS0: Not a block device
#device/dev-cache.c:399         /dev/ttyS1: Not a block device
#device/dev-cache.c:399         /dev/ttyS2: Not a block device
#device/dev-cache.c:399         /dev/ttyS3: Not a block device
#device/dev-cache.c:399         /dev/ttyS4: Not a block device
#device/dev-cache.c:399         /dev/ttyS5: Not a block device
#device/dev-cache.c:399         /dev/ttyS6: Not a block device
#device/dev-cache.c:399         /dev/ttyS7: Not a block device
#device/dev-cache.c:399         /dev/urandom: Not a block device
#device/dev-cache.c:399         /dev/usersock: Not a block device
#device/dev-cache.c:399         /dev/vcs: Not a block device
#device/dev-cache.c:399         /dev/vcs1: Not a block device
#device/dev-cache.c:399         /dev/vcs2: Not a block device
#device/dev-cache.c:399         /dev/vcs3: Not a block device
#device/dev-cache.c:399         /dev/vcs4: Not a block device
#device/dev-cache.c:399         /dev/vcs5: Not a block device
#device/dev-cache.c:399         /dev/vcs6: Not a block device
#device/dev-cache.c:399         /dev/vcsa: Not a block device
#device/dev-cache.c:399         /dev/vcsa1: Not a block device
#device/dev-cache.c:399         /dev/vcsa2: Not a block device
#device/dev-cache.c:399         /dev/vcsa3: Not a block device
#device/dev-cache.c:399         /dev/vcsa4: Not a block device
#device/dev-cache.c:399         /dev/vcsa5: Not a block device
#device/dev-cache.c:399         /dev/vcsa6: Not a block device
#device/dev-cache.c:208         /dev/VolGroup00/LogVol00: Already in device cache
#device/dev-cache.c:208         /dev/VolGroup00/LogVol01: Already in device cache
#device/dev-cache.c:399         /dev/xfrm: Not a block device
#device/dev-cache.c:399         /dev/XOR: Not a block device
#device/dev-cache.c:399         /dev/zero: Not a block device
#cache/lvmcache.c:867     Wiping internal VG cache
#pvscan.c:129     Walking through all physical volumes
#device/dev-io.c:437         Opened /dev/ramdisk RO
#device/dev-io.c:264       /dev/ramdisk: size is 32768 sectors
#device/dev-io.c:483         Closed /dev/ramdisk
#device/dev-io.c:264       /dev/ramdisk: size is 32768 sectors
#device/dev-io.c:387         /dev/ramdisk: Not using O_DIRECT
#device/dev-io.c:437         Opened /dev/ramdisk RO
#device/dev-io.c:134         /dev/ramdisk: block size is 1024 bytes
#device/dev-io.c:483         Closed /dev/ramdisk
#filters/filter-composite.c:31         Using /dev/ramdisk
#device/dev-io.c:437         Opened /dev/ramdisk RO
#device/dev-io.c:134         /dev/ramdisk: block size is 1024 bytes
#label/label.c:180       /dev/ramdisk: No label detected
#label/label.c:278         <backtrace>
#device/dev-io.c:483         Closed /dev/ramdisk
#filters/filter-regex.c:185         /dev/cdrom: Skipping (regex)
#filters/filter-sysfs.c:251         /dev/loop0: Skipping (sysfs)
#filters/filter-regex.c:185         /dev/sda: Skipping (regex)
#device/dev-io.c:437         Opened /dev/md0 RO
#device/dev-io.c:264       /dev/md0: size is 0 sectors
#filters/filter.c:106         /dev/md0: Skipping: Too small to hold a PV
#device/dev-io.c:483         Closed /dev/md0
#device/dev-io.c:437         Opened /dev/root RO
#device/dev-io.c:264       /dev/root: size is 40960000 sectors
#device/dev-io.c:483         Closed /dev/root
#device/dev-io.c:264       /dev/root: size is 40960000 sectors
#device/dev-io.c:437         Opened /dev/root RO O_DIRECT
#device/dev-io.c:134         /dev/root: block size is 4096 bytes
#device/dev-io.c:483         Closed /dev/root
#filters/filter-composite.c:31         Using /dev/root
#device/dev-io.c:437         Opened /dev/root RO O_DIRECT
#device/dev-io.c:134         /dev/root: block size is 4096 bytes
#label/label.c:180       /dev/root: No label detected
#label/label.c:278         <backtrace>
#device/dev-io.c:483         Closed /dev/root
#device/dev-io.c:437         Opened /dev/ram RO
#device/dev-io.c:264       /dev/ram: size is 32768 sectors
#device/dev-io.c:483         Closed /dev/ram
#device/dev-io.c:264       /dev/ram: size is 32768 sectors
#device/dev-io.c:387         /dev/ram: Not using O_DIRECT
#device/dev-io.c:437         Opened /dev/ram RO
#device/dev-io.c:134         /dev/ram: block size is 1024 bytes
#device/dev-io.c:483         Closed /dev/ram
#filters/filter-composite.c:31         Using /dev/ram
#device/dev-io.c:437         Opened /dev/ram RO
#device/dev-io.c:134         /dev/ram: block size is 1024 bytes
#label/label.c:180       /dev/ram: No label detected
#label/label.c:278         <backtrace>
#device/dev-io.c:483         Closed /dev/ram
#filters/filter-sysfs.c:251         /dev/loop1: Skipping (sysfs)
#filters/filter-regex.c:185         /dev/sda1: Skipping (regex)
#filters/filter-sysfs.c:251         /dev/md1: Skipping (sysfs)
#device/dev-io.c:437         Opened /dev/dm-1 RO
#device/dev-io.c:264       /dev/dm-1: size is 4063232 sectors
#device/dev-io.c:483         Closed /dev/dm-1
#device/dev-io.c:264       /dev/dm-1: size is 4063232 sectors
#device/dev-io.c:437         Opened /dev/dm-1 RO O_DIRECT
#device/dev-io.c:134         /dev/dm-1: block size is 4096 bytes
#device/dev-io.c:483         Closed /dev/dm-1
#filters/filter-composite.c:31         Using /dev/dm-1
#device/dev-io.c:437         Opened /dev/dm-1 RO O_DIRECT
#device/dev-io.c:134         /dev/dm-1: block size is 4096 bytes
#label/label.c:180       /dev/dm-1: No label detected
#label/label.c:278         <backtrace>
#device/dev-io.c:483         Closed /dev/dm-1
#device/dev-io.c:437         Opened /dev/ram2 RO
#device/dev-io.c:264       /dev/ram2: size is 32768 sectors
#device/dev-io.c:483         Closed /dev/ram2
#device/dev-io.c:264       /dev/ram2: size is 32768 sectors
#device/dev-io.c:387         /dev/ram2: Not using O_DIRECT
#device/dev-io.c:437         Opened /dev/ram2 RO
#device/dev-io.c:134         /dev/ram2: block size is 1024 bytes
#device/dev-io.c:483         Closed /dev/ram2
#filters/filter-composite.c:31         Using /dev/ram2
#device/dev-io.c:437         Opened /dev/ram2 RO
#device/dev-io.c:134         /dev/ram2: block size is 1024 bytes
#label/label.c:180       /dev/ram2: No label detected
#label/label.c:278         <backtrace>
#device/dev-io.c:483         Closed /dev/ram2
#filters/filter-sysfs.c:251         /dev/loop2: Skipping (sysfs)
#filters/filter-regex.c:185         /dev/sda2: Skipping (regex)
#filters/filter-sysfs.c:251         /dev/md2: Skipping (sysfs)
#device/dev-io.c:437         Opened /dev/ram3 RO
#device/dev-io.c:264       /dev/ram3: size is 32768 sectors
#device/dev-io.c:483         Closed /dev/ram3
#device/dev-io.c:264       /dev/ram3: size is 32768 sectors
#device/dev-io.c:387         /dev/ram3: Not using O_DIRECT
#device/dev-io.c:437         Opened /dev/ram3 RO
#device/dev-io.c:134         /dev/ram3: block size is 1024 bytes
#device/dev-io.c:483         Closed /dev/ram3
#filters/filter-composite.c:31         Using /dev/ram3
#device/dev-io.c:437         Opened /dev/ram3 RO
#device/dev-io.c:134         /dev/ram3: block size is 1024 bytes
#label/label.c:180       /dev/ram3: No label detected
#label/label.c:278         <backtrace>
#device/dev-io.c:483         Closed /dev/ram3
#filters/filter-sysfs.c:251         /dev/loop3: Skipping (sysfs)
#filters/filter-sysfs.c:251         /dev/md3: Skipping (sysfs)
#device/dev-io.c:437         Opened /dev/ram4 RO
#device/dev-io.c:264       /dev/ram4: size is 32768 sectors
#device/dev-io.c:483         Closed /dev/ram4
#device/dev-io.c:264       /dev/ram4: size is 32768 sectors
#device/dev-io.c:387         /dev/ram4: Not using O_DIRECT
#device/dev-io.c:437         Opened /dev/ram4 RO
#device/dev-io.c:134         /dev/ram4: block size is 1024 bytes
#device/dev-io.c:483         Closed /dev/ram4
#filters/filter-composite.c:31         Using /dev/ram4
#device/dev-io.c:437         Opened /dev/ram4 RO
#device/dev-io.c:134         /dev/ram4: block size is 1024 bytes
#label/label.c:180       /dev/ram4: No label detected
#label/label.c:278         <backtrace>
#device/dev-io.c:483         Closed /dev/ram4
#filters/filter-sysfs.c:251         /dev/loop4: Skipping (sysfs)
#filters/filter-sysfs.c:251         /dev/md4: Skipping (sysfs)
#device/dev-io.c:437         Opened /dev/ram5 RO
#device/dev-io.c:264       /dev/ram5: size is 32768 sectors
#device/dev-io.c:483         Closed /dev/ram5
#device/dev-io.c:264       /dev/ram5: size is 32768 sectors
#device/dev-io.c:387         /dev/ram5: Not using O_DIRECT
#device/dev-io.c:437         Opened /dev/ram5 RO
#device/dev-io.c:134         /dev/ram5: block size is 1024 bytes
#device/dev-io.c:483         Closed /dev/ram5
#filters/filter-composite.c:31         Using /dev/ram5
#device/dev-io.c:437         Opened /dev/ram5 RO
#device/dev-io.c:134         /dev/ram5: block size is 1024 bytes
#label/label.c:180       /dev/ram5: No label detected
#label/label.c:278         <backtrace>
#device/dev-io.c:483         Closed /dev/ram5
#filters/filter-sysfs.c:251         /dev/loop5: Skipping (sysfs)
#filters/filter-sysfs.c:251         /dev/md5: Skipping (sysfs)
#device/dev-io.c:437         Opened /dev/ram6 RO
#device/dev-io.c:264       /dev/ram6: size is 32768 sectors
#device/dev-io.c:483         Closed /dev/ram6
#device/dev-io.c:264       /dev/ram6: size is 32768 sectors
#device/dev-io.c:387         /dev/ram6: Not using O_DIRECT
#device/dev-io.c:437         Opened /dev/ram6 RO
#device/dev-io.c:134         /dev/ram6: block size is 1024 bytes
#device/dev-io.c:483         Closed /dev/ram6
#filters/filter-composite.c:31         Using /dev/ram6
#device/dev-io.c:437         Opened /dev/ram6 RO
#device/dev-io.c:134         /dev/ram6: block size is 1024 bytes
#label/label.c:180       /dev/ram6: No label detected
#label/label.c:278         <backtrace>
#device/dev-io.c:483         Closed /dev/ram6
#filters/filter-sysfs.c:251         /dev/loop6: Skipping (sysfs)
#filters/filter-sysfs.c:251         /dev/md6: Skipping (sysfs)
#device/dev-io.c:437         Opened /dev/ram7 RO
#device/dev-io.c:264       /dev/ram7: size is 32768 sectors
#device/dev-io.c:483         Closed /dev/ram7
#device/dev-io.c:264       /dev/ram7: size is 32768 sectors
#device/dev-io.c:387         /dev/ram7: Not using O_DIRECT
#device/dev-io.c:437         Opened /dev/ram7 RO
#device/dev-io.c:134         /dev/ram7: block size is 1024 bytes
#device/dev-io.c:483         Closed /dev/ram7
#filters/filter-composite.c:31         Using /dev/ram7
#device/dev-io.c:437         Opened /dev/ram7 RO
#device/dev-io.c:134         /dev/ram7: block size is 1024 bytes
#label/label.c:180       /dev/ram7: No label detected
#label/label.c:278         <backtrace>
#device/dev-io.c:483         Closed /dev/ram7
#filters/filter-sysfs.c:251         /dev/loop7: Skipping (sysfs)
#filters/filter-sysfs.c:251         /dev/md7: Skipping (sysfs)
#device/dev-io.c:437         Opened /dev/ram8 RO
#device/dev-io.c:264       /dev/ram8: size is 32768 sectors
#device/dev-io.c:483         Closed /dev/ram8
#device/dev-io.c:264       /dev/ram8: size is 32768 sectors
#device/dev-io.c:387         /dev/ram8: Not using O_DIRECT
#device/dev-io.c:437         Opened /dev/ram8 RO
#device/dev-io.c:134         /dev/ram8: block size is 1024 bytes
#device/dev-io.c:483         Closed /dev/ram8
#filters/filter-composite.c:31         Using /dev/ram8
#device/dev-io.c:437         Opened /dev/ram8 RO
#device/dev-io.c:134         /dev/ram8: block size is 1024 bytes
#label/label.c:180       /dev/ram8: No label detected
#label/label.c:278         <backtrace>
#device/dev-io.c:483         Closed /dev/ram8
#filters/filter-sysfs.c:251         /dev/md8: Skipping (sysfs)
#device/dev-io.c:437         Opened /dev/ram9 RO
#device/dev-io.c:264       /dev/ram9: size is 32768 sectors
#device/dev-io.c:483         Closed /dev/ram9
#device/dev-io.c:264       /dev/ram9: size is 32768 sectors
#device/dev-io.c:387         /dev/ram9: Not using O_DIRECT
#device/dev-io.c:437         Opened /dev/ram9 RO
#device/dev-io.c:134         /dev/ram9: block size is 1024 bytes
#device/dev-io.c:483         Closed /dev/ram9
#filters/filter-composite.c:31         Using /dev/ram9
#device/dev-io.c:437         Opened /dev/ram9 RO
#device/dev-io.c:134         /dev/ram9: block size is 1024 bytes
#label/label.c:180       /dev/ram9: No label detected
#label/label.c:278         <backtrace>
#device/dev-io.c:483         Closed /dev/ram9
#filters/filter-sysfs.c:251         /dev/md9: Skipping (sysfs)
#device/dev-io.c:437         Opened /dev/ram10 RO
#device/dev-io.c:264       /dev/ram10: size is 32768 sectors
#device/dev-io.c:483         Closed /dev/ram10
#device/dev-io.c:264       /dev/ram10: size is 32768 sectors
#device/dev-io.c:387         /dev/ram10: Not using O_DIRECT
#device/dev-io.c:437         Opened /dev/ram10 RO
#device/dev-io.c:134         /dev/ram10: block size is 1024 bytes
#device/dev-io.c:483         Closed /dev/ram10
#filters/filter-composite.c:31         Using /dev/ram10
#device/dev-io.c:437         Opened /dev/ram10 RO
#device/dev-io.c:134         /dev/ram10: block size is 1024 bytes
#label/label.c:180       /dev/ram10: No label detected
#label/label.c:278         <backtrace>
#device/dev-io.c:483         Closed /dev/ram10
#filters/filter-sysfs.c:251         /dev/md10: Skipping (sysfs)
#device/dev-io.c:437         Opened /dev/ram11 RO
#device/dev-io.c:264       /dev/ram11: size is 32768 sectors
#device/dev-io.c:483         Closed /dev/ram11
#device/dev-io.c:264       /dev/ram11: size is 32768 sectors
#device/dev-io.c:387         /dev/ram11: Not using O_DIRECT
#device/dev-io.c:437         Opened /dev/ram11 RO
#device/dev-io.c:134         /dev/ram11: block size is 1024 bytes
#device/dev-io.c:483         Closed /dev/ram11
#filters/filter-composite.c:31         Using /dev/ram11
#device/dev-io.c:437         Opened /dev/ram11 RO
#device/dev-io.c:134         /dev/ram11: block size is 1024 bytes
#label/label.c:180       /dev/ram11: No label detected
#label/label.c:278         <backtrace>
#device/dev-io.c:483         Closed /dev/ram11
#filters/filter-sysfs.c:251         /dev/md11: Skipping (sysfs)
#device/dev-io.c:437         Opened /dev/ram12 RO
#device/dev-io.c:264       /dev/ram12: size is 32768 sectors
#device/dev-io.c:483         Closed /dev/ram12
#device/dev-io.c:264       /dev/ram12: size is 32768 sectors
#device/dev-io.c:387         /dev/ram12: Not using O_DIRECT
#device/dev-io.c:437         Opened /dev/ram12 RO
#device/dev-io.c:134         /dev/ram12: block size is 1024 bytes
#device/dev-io.c:483         Closed /dev/ram12
#filters/filter-composite.c:31         Using /dev/ram12
#device/dev-io.c:437         Opened /dev/ram12 RO
#device/dev-io.c:134         /dev/ram12: block size is 1024 bytes
#label/label.c:180       /dev/ram12: No label detected
#label/label.c:278         <backtrace>
#device/dev-io.c:483         Closed /dev/ram12
#filters/filter-sysfs.c:251         /dev/md12: Skipping (sysfs)
#device/dev-io.c:437         Opened /dev/ram13 RO
#device/dev-io.c:264       /dev/ram13: size is 32768 sectors
#device/dev-io.c:483         Closed /dev/ram13
#device/dev-io.c:264       /dev/ram13: size is 32768 sectors
#device/dev-io.c:387         /dev/ram13: Not using O_DIRECT
#device/dev-io.c:437         Opened /dev/ram13 RO
#device/dev-io.c:134         /dev/ram13: block size is 1024 bytes
#device/dev-io.c:483         Closed /dev/ram13
#filters/filter-composite.c:31         Using /dev/ram13
#device/dev-io.c:437         Opened /dev/ram13 RO
#device/dev-io.c:134         /dev/ram13: block size is 1024 bytes
#label/label.c:180       /dev/ram13: No label detected
#label/label.c:278         <backtrace>
#device/dev-io.c:483         Closed /dev/ram13
#filters/filter-sysfs.c:251         /dev/md13: Skipping (sysfs)
#device/dev-io.c:437         Opened /dev/ram14 RO
#device/dev-io.c:264       /dev/ram14: size is 32768 sectors
#device/dev-io.c:483         Closed /dev/ram14
#device/dev-io.c:264       /dev/ram14: size is 32768 sectors
#device/dev-io.c:387         /dev/ram14: Not using O_DIRECT
#device/dev-io.c:437         Opened /dev/ram14 RO
#device/dev-io.c:134         /dev/ram14: block size is 1024 bytes
#device/dev-io.c:483         Closed /dev/ram14
#filters/filter-composite.c:31         Using /dev/ram14
#device/dev-io.c:437         Opened /dev/ram14 RO
#device/dev-io.c:134         /dev/ram14: block size is 1024 bytes
#label/label.c:180       /dev/ram14: No label detected
#label/label.c:278         <backtrace>
#device/dev-io.c:483         Closed /dev/ram14
#filters/filter-sysfs.c:251         /dev/md14: Skipping (sysfs)
#device/dev-io.c:437         Opened /dev/ram15 RO
#device/dev-io.c:264       /dev/ram15: size is 32768 sectors
#device/dev-io.c:483         Closed /dev/ram15
#device/dev-io.c:264       /dev/ram15: size is 32768 sectors
#device/dev-io.c:387         /dev/ram15: Not using O_DIRECT
#device/dev-io.c:437         Opened /dev/ram15 RO
#device/dev-io.c:134         /dev/ram15: block size is 1024 bytes
#device/dev-io.c:483         Closed /dev/ram15
#filters/filter-composite.c:31         Using /dev/ram15
#device/dev-io.c:437         Opened /dev/ram15 RO
#device/dev-io.c:134         /dev/ram15: block size is 1024 bytes
#label/label.c:180       /dev/ram15: No label detected
#label/label.c:278         <backtrace>
#device/dev-io.c:483         Closed /dev/ram15
#filters/filter-sysfs.c:251         /dev/md15: Skipping (sysfs)
#device/dev-io.c:437         Opened /dev/sdb RO
#device/dev-io.c:264       /dev/sdb: size is 571400192 sectors
#device/dev-io.c:134         /dev/sdb: block size is 4096 bytes
#filters/filter.c:112         /dev/sdb: Skipping: Partition table signature found
#device/dev-io.c:483         Closed /dev/sdb
#filters/filter-sysfs.c:251         /dev/md16: Skipping (sysfs)
#device/dev-io.c:437         Opened /dev/sdb1 RO
#device/dev-io.c:264       /dev/sdb1: size is 285699959 sectors
#device/dev-io.c:483         Closed /dev/sdb1
#device/dev-io.c:264       /dev/sdb1: size is 285699959 sectors
#device/dev-io.c:437         Opened /dev/sdb1 RO O_DIRECT
#device/dev-io.c:134         /dev/sdb1: block size is 512 bytes
#device/dev-io.c:483         Closed /dev/sdb1
#filters/filter-composite.c:31         Using /dev/sdb1
#device/dev-io.c:437         Opened /dev/sdb1 RO O_DIRECT
#device/dev-io.c:134         /dev/sdb1: block size is 512 bytes
#label/label.c:158       /dev/sdb1: lvm2 label detected
#cache/lvmcache.c:651         lvmcache: /dev/sdb1: now orphaned
#format_text/format-text.c:915         <backtrace>
#device/dev-io.c:483         Closed /dev/sdb1
#filters/filter-sysfs.c:251         /dev/md17: Skipping (sysfs)
#device/dev-io.c:437         Opened /dev/sdb2 RO
#device/dev-io.c:264       /dev/sdb2: size is 285699960 sectors
#device/dev-io.c:483         Closed /dev/sdb2
#device/dev-io.c:264       /dev/sdb2: size is 285699960 sectors
#device/dev-io.c:437         Opened /dev/sdb2 RO O_DIRECT
#device/dev-io.c:134         /dev/sdb2: block size is 4096 bytes
#device/dev-io.c:483         Closed /dev/sdb2
#filters/filter-composite.c:31         Using /dev/sdb2
#device/dev-io.c:437         Opened /dev/sdb2 RO O_DIRECT
#device/dev-io.c:134         /dev/sdb2: block size is 4096 bytes
#label/label.c:158       /dev/sdb2: lvm2 label detected
#cache/lvmcache.c:651         lvmcache: /dev/sdb2: now orphaned
#format_text/format-text.c:915         <backtrace>
#device/dev-io.c:483         Closed /dev/sdb2
#filters/filter-sysfs.c:251         /dev/md18: Skipping (sysfs)
#filters/filter-sysfs.c:251         /dev/md19: Skipping (sysfs)
#filters/filter-sysfs.c:251         /dev/md20: Skipping (sysfs)
#filters/filter-sysfs.c:251         /dev/md21: Skipping (sysfs)
#filters/filter-sysfs.c:251         /dev/md22: Skipping (sysfs)
#filters/filter-sysfs.c:251         /dev/md23: Skipping (sysfs)
#filters/filter-sysfs.c:251         /dev/md24: Skipping (sysfs)
#filters/filter-sysfs.c:251         /dev/md25: Skipping (sysfs)
#filters/filter-sysfs.c:251         /dev/md26: Skipping (sysfs)
#filters/filter-sysfs.c:251         /dev/md27: Skipping (sysfs)
#filters/filter-sysfs.c:251         /dev/md28: Skipping (sysfs)
#filters/filter-sysfs.c:251         /dev/md29: Skipping (sysfs)
#filters/filter-sysfs.c:251         /dev/md30: Skipping (sysfs)
#filters/filter-sysfs.c:251         /dev/md31: Skipping (sysfs)
#device/dev-io.c:437         Opened /dev/sdc RO
#device/dev-io.c:264       /dev/sdc: size is 571400192 sectors
#device/dev-io.c:134         /dev/sdc: block size is 4096 bytes
#filters/filter.c:112         /dev/sdc: Skipping: Partition table signature found
#device/dev-io.c:483         Closed /dev/sdc
#device/dev-io.c:437         Opened /dev/sdc1 RO
#device/dev-io.c:264       /dev/sdc1: size is 285699959 sectors
#device/dev-io.c:483         Closed /dev/sdc1
#device/dev-io.c:264       /dev/sdc1: size is 285699959 sectors
#device/dev-io.c:437         Opened /dev/sdc1 RO O_DIRECT
#device/dev-io.c:134         /dev/sdc1: block size is 512 bytes
#device/dev-io.c:483         Closed /dev/sdc1
#filters/filter-composite.c:31         Using /dev/sdc1
#device/dev-io.c:437         Opened /dev/sdc1 RO O_DIRECT
#device/dev-io.c:134         /dev/sdc1: block size is 512 bytes
#label/label.c:158       /dev/sdc1: lvm2 label detected
#cache/lvmcache.c:651         lvmcache: /dev/sdc1: now orphaned
#format_text/format-text.c:915         <backtrace>
#device/dev-io.c:483         Closed /dev/sdc1
#device/dev-io.c:437         Opened /dev/sdc2 RO
#device/dev-io.c:264       /dev/sdc2: size is 285699960 sectors
#device/dev-io.c:483         Closed /dev/sdc2
#device/dev-io.c:264       /dev/sdc2: size is 285699960 sectors
#device/dev-io.c:437         Opened /dev/sdc2 RO O_DIRECT
#device/dev-io.c:134         /dev/sdc2: block size is 4096 bytes
#device/dev-io.c:483         Closed /dev/sdc2
#filters/filter-composite.c:31         Using /dev/sdc2
#device/dev-io.c:437         Opened /dev/sdc2 RO O_DIRECT
#device/dev-io.c:134         /dev/sdc2: block size is 4096 bytes
#label/label.c:158       /dev/sdc2: lvm2 label detected
#cache/lvmcache.c:651         lvmcache: /dev/sdc2: now orphaned
#format_text/format-text.c:915         <backtrace>
#device/dev-io.c:483         Closed /dev/sdc2
#metadata/metadata.c:1323         <backtrace>
  No matching physical volumes found
Comment 2 Nate Straz 2006-06-29 17:35:42 EDT
*** Bug 197277 has been marked as a duplicate of this bug. ***
Comment 3 Nate Straz 2006-06-29 17:49:39 EDT
This bug breaks system-config-lvm.  The user can no longer create volume groups
because it relies on `pvs` to generate the list of unallocated physical volumes.
The only way a user can create a volume group in system-config-lvm is to select
the unallocated physical volume.
Comment 8 Corey Marthaler 2006-07-06 16:15:36 EDT
fix verified.
Comment 10 Alasdair Kergon 2006-08-08 10:02:23 EDT
*** Bug 201709 has been marked as a duplicate of this bug. ***
Comment 11 Red Hat Bugzilla 2006-08-10 17:49:06 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0504.html

Note You need to log in before you can comment on or make changes to this bug.